API Overview
The Ekomium Company API provides a REST-like resource map over Ekomium JSON-RPC. All endpoints use POST /jsonrpc with the execute_kw method.
Endpoints summary
| Method | Ekomium path | Platform model | Description |
|---|---|---|---|
POST | /api/v1/auth/login | common.authenticate | Authenticate |
GET | /api/v1/sales | pos.order | Sales & tickets |
GET | /api/v1/sales/{id}/lines | pos.order.line | Order lines |
GET | /api/v1/refunds | pos.order | Refunds |
GET | /api/v1/cancellations | pos.order | Cancellations |
GET | /api/v1/sessions/closures | pos.session | Cash closures |
GET | /api/v1/catalog/products | product.template | Product catalog |
GET | /api/v1/pos/configs | pos.config | POS identifiers |
Common parameters
| Parameter | Type | Description |
|---|---|---|
limit | integer | Max records (default: 20, max: 200) |
config_id | integer | Filter by POS config / register |
date_from | datetime | Filter orders from date |
date_to | datetime | Filter orders to date |
Response format
Ekomium returns records as JSON arrays:
{
"jsonrpc": "2.0",
"id": 1,
"result": [
{
"id": 1,
"name": "POS/00001",
"date_order": "2026-09-12 14:30:00",
"amount_total": 16.0,
"config_id": [1, "Main Register"],
"payment_ids": [1]
}
]
}
Many2one fields appear as [id, "display_name"] tuples.
OpenAPI spec
Download the OpenAPI 3.0 spec: openapi.yaml
Try it live
Open the API Playground to test any endpoint interactively.